Solid Edge Part Type Library
Faces Property
Description
Returns a collection of faces of a specified type that belong to a model, a feature, or a topology object.
Property type
Read-only property
Syntax
Visual Basic
Public Property Faces( _
   ByVal FaceType As FeatureTopologyQueryTypeConstants _
) As Object
Parameters
FaceType
ValueDescription
igQueryAllFeature Topology Query Type - All
igQueryConeFeature Topology Query Type - Cone
igQueryCylinderFeature Topology Query Type - Cylinder
igQueryEllipseFeature Topology Query Type - Ellipse
igQueryPlaneFeature Topology Query Type - Plane
igQueryRoundableFeature Topology Query Type - Roundable
igQuerySphereFeature Topology Query Type - Sphere
igQuerySplineFeature Topology Query Type - Spline
igQueryStraightFeature Topology Query Type - Straight
igQueryTorusFeature Topology Query Type - Torus
Remarks
The result of the Faces property is a topology collection. This topology collection is a temporary collection and is overwritten the next time the Edges, Faces, or FacesByRay property is used. By default, the Faces property returns all faces for the object. The topology collection can be restricted to a specified type of face by supplying a value (from the FeatureTopologyQueryTypeConstants constant set) for the FaceType argument for the feature objects only. For example, this property can be set to return all faces that are spheres.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objFeatures As SolidEdgePart.Features
    Dim objBodyFt As SolidEdgePart.BodyFeature
    Dim objFaces As Object
    Const TESTFILE = "T:\vbtests\testcases\BodyFtr.x_t"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Open the TestFile
    Set objDoc = objApp.Documents.OpenWithTemplate(TESTFILE, "Normal.par")
    ' Get the Features collection object
    Set objFeatures = objDoc.Models(1).Features
    Set objBodyFt = objFeatures.Item(1)
    If objBodyFt.Type <> igBodyFeatureObject Then
        MsgBox ("Not a BodyFeature object")
    End If
    ' Get the Faces
    Set objFaces = objBodyFt.Faces(FaceType:=igQueryAll)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objFeatures = Nothing
    Set objBodyFt = Nothing
    Set objFaces = Nothing
End Sub
See Also

BodyFeature Object  | BodyFeature Members

Send comments on this topic.